{"templateId":"markdown","versions":[{"version":"shipengine","label":"ShipStation API (formerly ShipEngine)","link":"/apis/shipengine/docs/ltl/get-credential-requirements","default":false,"active":true,"folderId":"58c9a61d"},{"version":"shipstation-v2","label":"ShipStation V2 API","link":"/apis/shipstation-v2/docs/ltl/get-credential-requirements","default":true,"active":false,"folderId":"58c9a61d"},{"version":"shipstation-v1","label":"ShipStation V1 API","link":"/apis/shipstation-v1/docs/ltl/get-credential-requirements","default":false,"active":false,"folderId":"58c9a61d"}],"sharedDataIds":{},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Get Credential Requirements","keywords":"shipping, labels, shipstation, documentation, api","siteUrl":"https://docs.shipstation.com","lang":"en-US","llmstxt":{"hide":false,"title":"ShipStation API LLM Docs","description":"Find links and references to all markdown documentation for use with LLMs","excludeFiles":["apis/@shipengine/docs/ltl/**"]},"meta":[{"name":"robots","content":"noindex, nofollow"}]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"get-credential-requirements","__idx":0},"children":["Get Credential Requirements"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This endpoint is used to retrieve a description of the format you must use when sending your credentials"," ","to connect a particular LTL carrier. Since each carrier will have different credential requirements, use this endpoint to ensure you know what is required to connect successfully."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"scac--carrier-codes","__idx":1},"children":["SCAC & Carrier Codes"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Each LTL carrier has one or more SCACs (Standard Carrier Alpha Code) used to uniquely identify that carrier."," ","The SCAC for a carrier is referred to as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["carrier_id"]},". To get the credential requirements for a particular carrier, you need to pass its SCAC as the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["carrier_code"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"example-request--response","__idx":2},"children":["Example Request & Response"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET /v-beta/ltl/carriers/:carrier_code/credential_requirements"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET /v-beta/ltl/carriers/FXFE/credential_requirements HTTP/1.1\nHost: api.shipengine.com\nAPI-Key: __YOUR_API_KEY_HERE__\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example response:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n    \"credential_requirements\": [\n        {\n            \"name\": \"account_number\",\n            \"title\": \"Carrier account number\",\n            \"type\": \"string\"\n        },\n        {\n            \"name\": \"key\",\n            \"title\": \"Authentication Key (Production) generated by the carrier\",\n            \"type\": \"string\"\n        },\n        {\n            \"name\": \"password\",\n            \"title\": \"The secret password associated with your Authentication Key\",\n            \"type\": \"string\"\n        },\n        {\n            \"name\": \"secret\",\n            \"title\": \"Spot Quote Authentication Key generated by the carrier used for volume pricing only\",\n            \"type\": \"string\"\n        },\n        {\n            \"name\": \"securitycode\",\n            \"title\": \"Your FedEx account number\",\n            \"type\": \"string\"\n        },\n        {\n            \"name\": \"username\",\n            \"title\": \"The associated meter number for your FedEx account number.\",\n            \"type\": \"string\"\n        }\n    ]\n}\n","lang":"json"},"children":[]}]},"headings":[{"value":"Get Credential Requirements","id":"get-credential-requirements","depth":1},{"value":"SCAC & Carrier Codes","id":"scac--carrier-codes","depth":2},{"value":"Example Request & Response","id":"example-request--response","depth":2}],"frontmatter":{"excludeFromSearch":true,"seo":{"meta":[{"name":"robots","content":"noindex, nofollow"}],"title":"Get Credential Requirements"}},"lastModified":"2026-11-13T19:18:17.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/apis/shipengine/docs/ltl/get-credential-requirements","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}